<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaveSettingsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'albums_menu_number_items' => 'required|integer|min:1',
            'app_name' => 'required|max:255',
            'date_format' => 'required',
            'smtp_server' => 'required',
            'smtp_port' => 'required|integer'
        ];
    }
}
